Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorslewis2019-10-25 23:44:25 +0000
committerslewis2019-10-25 23:44:25 +0000
commitce1f1757a08c08e02159b24b7e4d30e654d435b9 (patch)
treeeb63ffd62cc2277d7c9fd23560c80809d737a19e
parent6ef172b10072d3d9dfe7848ae9bfbce1e2e38e4b (diff)
downloadorg.eclipse.ecf-ce1f1757a08c08e02159b24b7e4d30e654d435b9.tar.gz
org.eclipse.ecf-ce1f1757a08c08e02159b24b7e4d30e654d435b9.tar.xz
org.eclipse.ecf-ce1f1757a08c08e02159b24b7e4d30e654d435b9.zip
Fix for https://bugs.eclipse.org/bugs/show_bug.cgi?id=552440
-rw-r--r--protocols/bundles/ch.ethz.iks.slp/.classpath2
-rw-r--r--protocols/bundles/ch.ethz.iks.slp/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--protocols/bundles/ch.ethz.iks.slp/META-INF/MANIFEST.MF4
-rw-r--r--protocols/bundles/ch.ethz.iks.slp/pom.xml2
-rw-r--r--protocols/bundles/ch.ethz.iks.slp/src/main/java/ch/ethz/iks/slp/impl/SLPCore.java2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.jslp/META-INF/MANIFEST.MF5
6 files changed, 11 insertions, 10 deletions
diff --git a/protocols/bundles/ch.ethz.iks.slp/.classpath b/protocols/bundles/ch.ethz.iks.slp/.classpath
index 2054b9f91..a320ad83f 100644
--- a/protocols/bundles/ch.ethz.iks.slp/.classpath
+++ b/protocols/bundles/ch.ethz.iks.slp/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src/main/java"/>
<classpathentry kind="src" output="bin_r7stubs" path="src_r7stubs"/>
diff --git a/protocols/bundles/ch.ethz.iks.slp/.settings/org.eclipse.jdt.core.prefs b/protocols/bundles/ch.ethz.iks.slp/.settings/org.eclipse.jdt.core.prefs
index c5f58fedc..082553f4c 100644
--- a/protocols/bundles/ch.ethz.iks.slp/.settings/org.eclipse.jdt.core.prefs
+++ b/protocols/bundles/ch.ethz.iks.slp/.settings/org.eclipse.jdt.core.prefs
@@ -8,9 +8,9 @@ org.eclipse.jdt.core.circularClasspath=error
org.eclipse.jdt.core.classpath.exclusionPatterns=enabled
org.eclipse.jdt.core.classpath.multipleOutputLocations=enabled
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.5
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -79,6 +79,6 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disa
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.5
+org.eclipse.jdt.core.compiler.source=1.8
org.eclipse.jdt.core.incompatibleJDKLevel=ignore
org.eclipse.jdt.core.incompleteClasspath=error
diff --git a/protocols/bundles/ch.ethz.iks.slp/META-INF/MANIFEST.MF b/protocols/bundles/ch.ethz.iks.slp/META-INF/MANIFEST.MF
index 997b1bd78..44dfa27af 100644
--- a/protocols/bundles/ch.ethz.iks.slp/META-INF/MANIFEST.MF
+++ b/protocols/bundles/ch.ethz.iks.slp/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: Service Location Protocol (RFC 2608) Implementation
Bundle-SymbolicName: ch.ethz.iks.slp
Automatic-Module-Name: ch.ethz.iks.slp
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.3.0.qualifier
Export-Package: ch.ethz.iks.slp;version="1.0.0"
Bundle-Activator: ch.ethz.iks.slp.impl.Activator
Bundle-Vendor: Eclipse.org - ECF
@@ -11,4 +11,4 @@ Import-Package: org.osgi.framework;version="[1.0.0,2.0.0)",
org.osgi.service.log;version="[1.0.0,2.0.0)"
Bundle-Description: jSLP, the pure Java Service Location Protocol implementation
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/protocols/bundles/ch.ethz.iks.slp/pom.xml b/protocols/bundles/ch.ethz.iks.slp/pom.xml
index ead530f32..bd19d1507 100644
--- a/protocols/bundles/ch.ethz.iks.slp/pom.xml
+++ b/protocols/bundles/ch.ethz.iks.slp/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>ch.ethz.iks.slp</artifactId>
- <version>1.2.1-SNAPSHOT</version>
+ <version>1.3.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/protocols/bundles/ch.ethz.iks.slp/src/main/java/ch/ethz/iks/slp/impl/SLPCore.java b/protocols/bundles/ch.ethz.iks.slp/src/main/java/ch/ethz/iks/slp/impl/SLPCore.java
index fe89ad8f3..a33c13653 100644
--- a/protocols/bundles/ch.ethz.iks.slp/src/main/java/ch/ethz/iks/slp/impl/SLPCore.java
+++ b/protocols/bundles/ch.ethz.iks.slp/src/main/java/ch/ethz/iks/slp/impl/SLPCore.java
@@ -233,7 +233,7 @@ public abstract class SLPCore {
for (int i = 0; i < addresses.length; i++) {
// https://bugs.eclipse.org/328074
if(addresses[i] instanceof Inet6Address) {
- platform.logWarning("No support for IPv6 in jSLP yet (see https://bugs.eclipse.org/328074), skipping interface...");
+ System.err.println("No support for IPv6 in jSLP yet (see https://bugs.eclipse.org/328074), skipping interface...");
continue;
}
ips.add(addresses[i].getHostAddress());
diff --git a/providers/bundles/org.eclipse.ecf.provider.jslp/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.jslp/META-INF/MANIFEST.MF
index a6359c2d9..9cb1de1ba 100644
--- a/providers/bundles/org.eclipse.ecf.provider.jslp/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.jslp/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.ecf.provider.jslp;singleton:=true
Automatic-Module-Name: org.eclipse.ecf.provider.jslp
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.2.201.qualifier
Bundle-Activator: org.eclipse.ecf.internal.provider.jslp.Activator
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -16,7 +16,8 @@ Require-Bundle: org.eclipse.ecf.discovery;bundle-version="3.0.0",
org.eclipse.equinox.common,
org.eclipse.ecf.identity;bundle-version="2.1.0",
org.eclipse.ecf;bundle-version="2.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,
+ J2SE-1.4
Bundle-ClassPath: .
Export-Package: org.eclipse.ecf.internal.provider.jslp;x-friends:="org.eclipse.ecf.tests.provider.jslp",
org.eclipse.ecf.provider.jslp.container;version="3.0.0",

Back to the top